Ruby - Bug #5703

Ruby 1.9.3p0 segmentation fault (during autoload?)
12/04/2011 05:54 AM - brynary (Bryan Helmkamp)

Status: Rejected
Priority: Normal
Assignee: nahi (Hiroshi Nakamura)

Target version:

ruby -v: - Backport:

Description

I've been getting intermittent segfaults that appear to be coming out of autoload. Originally, | experienced them on 1.9.2p290, but
they persisted after upgrading to 1.9.3p0. | thought the issue might have been #5047, but it seems not.

Here's an example:

/data/codeclimate/shared/bundled_gems/ruby/1.9.1/gems/mail-2.3.0/lib/mail/elements/content_type_element.rb:3: [BUG]
Segmentation fault
ruby 1.9.3p0 (2011-10-30 revision 33570) [i686-linux]

-- Control frame information
€:0084 p:0011 s:0353 b:0353 1:000352 d:000352 CLASS
/data/codeclimate/shared/bundled_gems/ruby/1.9.1/gems/mail-2.3.0/lib/mail/elements/content_type_element.rb:3
€:0083 p:0009 s:0351 b:0351 1:000350 d:000350 TOP
/data/codeclimate/shared/bundled_gems/ruby/1.9.1/gems/mail-2.3.0/lib/mail/elements/content_type_element.rb:2
€:0082 p:---- 5:0349 b:0349 1:000348 d:000348 FINISH

€:0081 p:0027 s:0347 b:0347 1:000346 d:000346 METHOD
/data/codeclimate/shared/bundled_gems/ruby/1.9.1/gems/mail-2.3.0/lib/mail/fields/content_type_field.rb:37
€:0080 p:0055 s:0344 b:0344 1:000343 d:000343 METHOD
/data/codeclimate/shared/bundled_gems/ruby/1.9.1/gems/mail-2.3.0/lib/mail/fields/content_type_field.rb:31
¢:0079 p:0165 s:0340 b:0340 1:000339 d:000339 METHOD
/data/codeclimate/shared/bundled_gems/ruby/1.9.1/gems/mail-2.3.0/lib/mail/fields/content_type_field.rb:23
€:0078 p:---- s:0335 b:0335 1:000334 d:000334 FINISH

¢:0077 p:---- s:0333 b:0333 1:000332 d:000332 CFUNC :new

€:0076 p:0982 s:0328 b:0328 1:000327 d:000327 METHOD
/data/codeclimate/shared/bundled_gems/ruby/1.9.1/gems/mail-2.3.0/lib/mail/field.rb:211

¢:0075 p:0021 s:0322 b:0320 1:000319 d:000319 METHOD
/data/codeclimate/shared/bundled_gems/ruby/1.9.1/gems/mail-2.3.0/lib/mail/field.rb:146

¢:0074 p:0057 s:0313 b:0313 1:000312 d:000312 METHOD
/data/codeclimate/shared/bundled_gems/ruby/1.9.1/gems/mail-2.3.0/lib/mail/field.rb:79

€:0073 p:---- s:0307 b:0307 1:000306 d:000306 FINISH

Full output is at: https://raw.github.com/qist/5¢7921t33908a3780779/d0f99051bdabf8cetbat390ad54f13de09d245a/qistfile1.txt

The segfault occurs at different lines each time, but it always seems to be associated with loading new code (note rb_autoload_load
in the C-level stack). The mail gem does not appear to have any C extensions, so | don't think it is an issue with that gem.

If more information is needed, | can try to collect, however it's fairly difficult because it occurs intermittently and in a daemon
(Resque).

Any help would be appreciated.

-Bryan

History

#1 - 03/11/2012 04:57 PM - ko1 (Koichi Sasada)
- Status changed from Open to Assigned

- Assignee set to nahi (Hiroshi Nakamura)

#2 - 08/07/2013 12:20 PM - naruse (Yui NARUSE)
- Status changed from Assigned to Feedback
https://bugs.ruby-lang.org/issues/5047
https://raw.github.com/gist/5c7921f33908a3780779/d0f99051bda6f8cefbaf390ad54f13de09d24f5a/gistfile1.txt

- Priority changed from 5 to Normal

Could you provide a reproducible code?

#3 - 06/20/2018 12:52 PM - mame (Yusuke Endoh)
- Status changed from Feedback to Rejected

1.9.3 has been already dead.
